Page MenuHomePhabricator

Write script to migrate open changes from Gerrit to Differential by repository
Closed, DeclinedPublic

Description

Context:
During the WikiDev16 session on the migration to Differential (T114320) it was suggested that we migrate open changes from Gerrit to Differential automatically in preparation for when Gerrit goes read-only.

Reminder:
First people should use this migration as an opportunity to clear out their repositories' backlogs so we don't migrate useless changes.

TODO:
Write a script to migrate the not yet merged changes from Gerrit to Differential that can be run for a list of repositories.

This will be used right before we migrate any repository and make it read-only in Gerrit.

Event Timeline

greg created this task.Jan 6 2016, 7:14 PM
greg assigned this task to mmodell.
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added a project: Gerrit-Migration.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2016, 7:14 PM
greg moved this task from To Triage to Tooling on the Gerrit-Migration board.Jan 6 2016, 7:16 PM
Paladox added a subscriber: Paladox.EditedJan 6 2016, 8:05 PM

Would this resolve the open patches problem in phabricator where we carnt view open patches but can merged patches.

And when will this be done.

And will the changes still be open on gerrit or migrated to phabricator and closed on gerrit.

greg added a comment.Jan 6 2016, 8:39 PM

Would this resolve the open patches problem in phabricator where we carnt view open patches but can merged patches.

Since no new changes would be created in Gerrit, and the old changes would be migrated to Differential, then yes, you'll be able to see everything in Differential.

And when will this be done.

Right before the migration.

And will the changes still be open on gerrit or migrated to phabricator and closed on gerrit.

Migrated then Gerrit will be marked read-only.

Ok thanks for replying.

But do you know when the migration will start. And would we have to use the arc command or can we use the normal setup with minimal changes such as only a change to the url.

@Paladox: You will have to use arc.

Oh. Would there be a guide on mediawiki on how to do it as simple as possible like there is one for gerrit and for git.

mmodell added a comment.EditedJan 6 2016, 8:52 PM

Oh. Would there be a guide on mediawiki on how to do it as simple as possible like there is one for gerrit and for git.

T117058: Initial documentation of example Differential workflows (with Gerrit equivalents)

Plan of action:

For each open patch in gerrit:

  • apply the patch locally against master
  • run arc diff
  • adjust differential revision owner as appropriate

Is there a chance to make this automatically?

Reedy added a subscriber: Reedy.Jan 11 2016, 5:18 PM

Is there a chance to make this automatically?

Why would it be done manually, other than for trials?

When do the trials start.

@Luke081515: it will be automated, but each repository will be done one-by-one on demand.

@Paladox: trials start as soon as possible. That is to say, right now.

Paladox added a comment.EditedJan 11 2016, 5:22 PM

@mmodell thanks for replying and which repo are you doing the first test on.

Once the trials are successful would it be open fully meaning every repo gets done,

Would diffusion also be turned on for everyone to use or only when gerrit is turned into read only mode.

@Paladox: I'm not sure. We are taking applications for guinea pigs.

greg added a comment.Mar 31 2016, 5:24 PM

I'm going to reword the description based on the current plan which is to migrate repositories in phases (see https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Project/Differential_Migration for the overall huge context, but look for "phase 1 migration" etc).

So, I'll rework this task to be about creating the tool/script that will do this migration of open changes from gerrit to differential that can be run against specific/groups of repositories. Then, right before any repository migration we'll run that script for that repository.

I've typed repository too many times :)

greg renamed this task from Migrate open changes from Gerrit to Differential to Write script to migrate open changes from Gerrit to Differential by repository.Mar 31 2016, 5:27 PM
greg updated the task description. (Show Details)
greg set Security to None.
mmodell changed the task status from Open to Stalled.Dec 4 2016, 6:55 AM
greg removed mmodell as the assignee of this task.May 17 2017, 2:01 PM
greg added a subscriber: mmodell.
demon closed this task as Declined.Mar 7 2018, 10:14 PM
demon added a subscriber: demon.